/**
 * Basic sample plugin inserting current date and time into CKEditor editing area.
 */


CKEDITOR.plugins.add( 'businesscard',
{

	init: function( editor )
	{

		// Create a toolbar button that executes the plugin command. 
		// http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.ui.html#addButton
		editor.ui.addButton( 'Businesscard',
		{
			// Toolbar button tooltip.
			label: 'Insert Business Card hover',
			// Reference to the plugin command name.
			command: 'insertBusinesscardDialog',
			// Button's icon file path.
			icon: this.path + 'images/businesscard.png'
		} );
		
		editor.addCommand( 'insertBusinesscardDialog', new CKEDITOR.dialogCommand( 'insertBusinesscardDialog' ) );
		CKEDITOR.dialog.add( 'insertBusinesscardDialog', function ( editor )
		{
			return {
				title : 'Business Card Properties',
				minWidth : 400,
				minHeight : 200,
		 
				contents :
				[
					{
						id : 'tab1',
						label : 'Basic Settings',
						elements :
						[
						
						{
						type : 'text',
						id : 'linktext',
						label : 'Link Text',
						validate : CKEDITOR.dialog.validate.notEmpty( "Link text field cannot be empty" )
						},
						{
						type : 'text',
						id : 'email',
						label : 'Email Address of user',
						validate : CKEDITOR.dialog.validate.notEmpty( "Email Address field cannot be empty" )
						}
						]
					}
				],
				onOk : function()

				{
					var dialog = this;
					var email = dialog.getValueOf( 'tab1', 'email' );
					var display = dialog.getValueOf( 'tab1', 'linktext' );
					editor.insertElement( CKEDITOR.dom.element.createFromHtml( '<span class="vcard"><a class="fn person lotusPerson" href="/profiles/html/profileView.do?email=' + email + '">' + display + '</a><span class="email" style="display: none;">' + email + '</span></span>' ) );

				}
				
			};
		} );	
		

		
	}
} );